Subject: Re: bug#26694: preview-at-point fails on very long lines with "End of buffer"
From: Mosè Giordano <[email-masked]>
To: Frank Fischer <[email-masked]>
Cc: [email-masked]
Date: Sat, 6 May 2017 20:31:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Frank,

2017-04-28 15:26 GMT+02:00 Frank Fischer <[email-masked]>:
> However, I would say the the column offset is just wrong. Either
> subtract the length of the preceding text (in the original buffer) from
> the column number or copy the preceding text to the temp buffer as well.

I think you're right, a good solution would be to add one more
argument to `TeX-region-create' with the adjusted line-col
information.  However, in order to avoid changing the signature of the
function I decided to apply a work around: the point is moved only
when `TeX-source-correlate-mode' is non nil (because point is moved
only to make forward/inverse search work) and this variable is
let-bound to nil when running the preview (forward/inverse search is
not needed here).

I dropped a few comments about this work-around in the code, in case
someone want to improve the fix, maybe as suggested above.  In any
case, I'm closing this ticket as the issue should be fixed.

Thanks for the good bug report Frank!

Bye,
Mosè